Subject: Ticket Assigned - I received wrong items.
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 03 Jul 2021 12:37:29 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I received wrong items. Hi

Dear support, I ordered 2 items which has a different size when they arrived, the items are 2 set of 2 Assorted Boxers with Elasticized Waistband.

I ordered 4XL, when they arrived it was 2XL. also, the price should be KWD 1.580 instead of KWD 4.500, Because it had a discount of 65% OFF.

Please contact me as soon as you can.

Thanks,
Fahad

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2803206